Skip to main content
POST
/
jobs
Create new job
curl --request POST \
  --url https://api.nexrender.com/api/v2/jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "template": {
    "id": "<string>",
    "src": "<string>",
    "composition": "<string>"
  },
  "preview": false,
  "fonts": [],
  "assets": [],
  "settings": {
    "type": "video",
    "frames": 1,
    "quality": "draft",
    "codec": "<string>"
  },
  "upload": {
    "prefix": "<string>",
    "outputUrl": "<string>",
    "provider": "s3",
    "params": {
      "region": "<string>",
      "bucket": "<string>",
      "accessKeyId": "<string>",
      "accessKeySecret": "<string>",
      "endpoint": "https://s3.amazonaws.com",
      "acl": "<string>"
    }
  },
  "webhook": {
    "url": "<string>",
    "method": "POST",
    "headers": {},
    "data": {},
    "custom": false
  }
}
'
{
  "id": "<string>",
  "status": "queued",
  "outputUrl": "<string>",
  "children": [
    {
      "id": "<string>",
      "outputUrl": "<string>",
      "status": "<string>",
      "missingFonts": [
        "<string>"
      ]
    }
  ],
  "missingFonts": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication using API tokens for team-based access control.

You can generate your own API token at: https://app.nexrender.com/team/settings

Body

application/json

Configuration object for creating a new render job with template, assets, and options

template
object
required

Template configuration defining the After Effects project and composition to render

preview
boolean
default:false

Generate a low-quality preview render instead of full quality output

fonts
string[]

List of font file names to include in the render environment

assets
object[]

Collection of media assets (images, videos, audio, scripts, text) or nested job assets (type: 'job') to use in the render. Nested job assets render as child jobs first, with output injected into the parent composition.

Asset to be used in job rendering, containing source information and target layer details

settings
object

Render configuration settings for output format, quality, and frame selection

upload
object

Custom upload configuration for output files to external storage providers

webhook
object

Webhook configuration for job status notifications and callbacks

Response

Job successfully created and queued for processing. Returns 'pending' status with children array when nested job assets are present.

Response after creating a job, includes children info for parent jobs

id
string
required

Unique job identifier

status
enum<string>
required

'queued' for regular jobs, 'pending' for parent jobs waiting on children

Available options:
queued,
pending
outputUrl
string
required

URL where the rendered output will be available

children
object[]

Child job details (only present for parent jobs with nested job assets)

missingFonts
string[]

List of fonts referenced in template but not found in team's font library